import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'alog_windows_platform_interface.dart';

/// An implementation of [AlogWindowsPlatform] that uses method channels.
class MethodChannelAlogWindows extends AlogWindowsPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('alog_windows');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
