import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'alog_windows_method_channel.dart';

abstract class AlogWindowsPlatform extends PlatformInterface {
  /// Constructs a AlogWindowsPlatform.
  AlogWindowsPlatform() : super(token: _token);

  static final Object _token = Object();

  static AlogWindowsPlatform _instance = MethodChannelAlogWindows();

  /// The default instance of [AlogWindowsPlatform] to use.
  ///
  /// Defaults to [MethodChannelAlogWindows].
  static AlogWindowsPlatform get instance => _instance;

  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [AlogWindowsPlatform] when
  /// they register themselves.
  static set instance(AlogWindowsPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
