import 'package:flutter_test/flutter_test.dart';
import 'package:alog_windows/alog_windows.dart';
import 'package:alog_windows/alog_windows_platform_interface.dart';
import 'package:alog_windows/alog_windows_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockAlogWindowsPlatform
    with MockPlatformInterfaceMixin
    implements AlogWindowsPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final AlogWindowsPlatform initialPlatform = AlogWindowsPlatform.instance;

  test('$MethodChannelAlogWindows is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelAlogWindows>());
  });

  test('getPlatformVersion', () async {
    AlogWindows alogWindowsPlugin = AlogWindows();
    MockAlogWindowsPlatform fakePlatform = MockAlogWindowsPlatform();
    AlogWindowsPlatform.instance = fakePlatform;

    expect(await alogWindowsPlugin.getPlatformVersion(), '42');
  });
}
